Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.orm.hibernate
[Groovy] Class InstanceProxy

    java.lang.Object
      org.codehaus.groovy.grails.plugins.orm.hibernate.InstanceProxy

    class InstanceProxy
    extends java.lang.Object

Constructor Summary
`InstanceProxy(java.lang.Object instance, HibernateGormInstanceApi instanceApi, HibernateGormValidationApi validateApi)`

Method Summary
`java.lang.Object` | `getAt(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `putAt(java.lang.String name, java.lang.Object val)`
`void` | `setProperty(java.lang.String name, java.lang.Object val)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### InstanceProxy

    InstanceProxy(java.lang.Object instance, HibernateGormInstanceApi instanceApi, HibernateGormValidationApi validateApi)

Method Detail

### getAt

    java.lang.Object getAt(java.lang.String name)

### getProperty

    java.lang.Object getProperty(java.lang.String name)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### putAt

    void putAt(java.lang.String name, java.lang.Object val)

### setProperty

    void setProperty(java.lang.String name, java.lang.Object val)

Groovy Documentation